Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Functions
object_tracing.c File Reference
`#include "internal.h"`
`#include "ruby/debug.h"`
`#include "objspace.h"`

Go to the source code of this file.

## Data Structures
struct | traceobj_arg

## Functions
int | rb_bug_reporter_add (void(*func)(FILE *, void *), void *data)
struct allocation_info * | objspace_lookup_allocation_info (VALUE obj)
void | Init_object_tracing (VALUE rb_mObjSpace)

## Function Documentation

## ◆ Init_object_tracing()

void Init_object_tracing | ( | VALUE | rb_mObjSpace | ) |

Definition at line 482 of file object_tracing.c.

References rb_define_module(), and rb_define_module_function().

## ◆ objspace_lookup_allocation_info()

struct allocation_info* objspace_lookup_allocation_info | ( | VALUE | obj | ) |

Definition at line 341 of file object_tracing.c.